package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            main mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        anywheresoftware.b4a.samples.httputils2.httputils2service._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

private static BA killProgramHelper(BA ba) {
    if (ba == null)
        return null;
    anywheresoftware.b4a.BA.SharedProcessBA sharedProcessBA = ba.sharedProcessBA;
    if (sharedProcessBA == null || sharedProcessBA.activityBA == null)
        return null;
    return sharedProcessBA.activityBA.get();
}
public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = killProgramHelper(main.mostCurrent == null ? null : main.mostCurrent.processBA);
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL _sql1 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor1 = null;
public anywheresoftware.b4a.objects.ListViewWrapper _lvdb = null;
public anywheresoftware.b4a.objects.EditTextWrapper _names = null;
public anywheresoftware.b4a.objects.EditTextWrapper _classe = null;
public anywheresoftware.b4a.objects.EditTextWrapper _streamd = null;
public anywheresoftware.b4a.objects.EditTextWrapper _searchx = null;
public anywheresoftware.b4a.objects.EditTextWrapper _account = null;
public anywheresoftware.b4a.objects.EditTextWrapper _amount = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;
public b4a.example.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}));}
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="Activity.LoadLayout(\"studentdata\")";
mostCurrent._activity.LoadLayout("studentdata",mostCurrent.activityBA);
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="If File.Exists(File.DirInternal,\"studentdb.sql\")";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"studentdb.sql")==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="File.Copy(File.DirAssets,\"studentdb.sql\",File.Di";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"studentdb.sql",anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"studentdb.sql");
 };
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="If SQL1.IsInitialized = False Then";
if (_sql1.IsInitialized()==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="SQL1.Initialize(File.DirInternal, \"studentdb.sql";
_sql1.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"studentdb.sql",anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=131083;
 //BA.debugLineNum = 131083;BA.debugLine="DBload";
_dbload();
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="End Sub";
return "";
}
public static String  _dbload() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "dbload"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "dbload", null));}
int _i = 0;
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub DBload";
RDebugUtils.currentLine=196609;
 //BA.debugLineNum = 196609;BA.debugLine="LVDb.Clear'need to clear the list";
mostCurrent._lvdb.Clear();
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="cursor1 = SQL1.ExecQuery(\"SELECT * FROM student\")";
_cursor1.setObject((android.database.Cursor)(_sql1.ExecQuery("SELECT * FROM student")));
RDebugUtils.currentLine=196611;
 //BA.debugLineNum = 196611;BA.debugLine="For i = 0 To cursor1.RowCount - 1";
{
final int step3 = 1;
final int limit3 = (int) (_cursor1.getRowCount()-1);
_i = (int) (0) ;
for (;_i <= limit3 ;_i = _i + step3 ) {
RDebugUtils.currentLine=196612;
 //BA.debugLineNum = 196612;BA.debugLine="cursor1.Position = i";
_cursor1.setPosition(_i);
RDebugUtils.currentLine=196613;
 //BA.debugLineNum = 196613;BA.debugLine="LVDb.AddSingleLine(cursor1.GetString(\"id\")& \"|\"";
mostCurrent._lvdb.AddSingleLine(BA.ObjectToCharSequence(_cursor1.GetString("id")+"|"+_cursor1.GetString("Names")+" | "+_cursor1.GetString("Class")+" | "+_cursor1.GetString("Stream")+" | "+_cursor1.GetString("Amount")));
RDebugUtils.currentLine=196614;
 //BA.debugLineNum = 196614;BA.debugLine="LVDb.SingleLineLayout.ItemHeight = 40";
mostCurrent._lvdb.getSingleLineLayout().setItemHeight((int) (40));
RDebugUtils.currentLine=196615;
 //BA.debugLineNum = 196615;BA.debugLine="LVDb.SingleLineLayout.Label.TextSize = 20";
mostCurrent._lvdb.getSingleLineLayout().Label.setTextSize((float) (20));
RDebugUtils.currentLine=196616;
 //BA.debugLineNum = 196616;BA.debugLine="LVDb.SingleLineLayout.label.TextColor = Colors.B";
mostCurrent._lvdb.getSingleLineLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=196617;
 //BA.debugLineNum = 196617;BA.debugLine="LVDb.SingleLineLayout.label.Color = Colors.White";
mostCurrent._lvdb.getSingleLineLayout().Label.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 }
};
RDebugUtils.currentLine=196619;
 //BA.debugLineNum = 196619;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null));}
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _getupdates_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "getupdates_click"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "getupdates_click", null));}
anywheresoftware.b4a.samples.httputils2.httpjob _job = null;
RDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Sub Getupdates_Click";
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="Dim Job As HttpJob";
_job = new anywheresoftware.b4a.samples.httputils2.httpjob();
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="Job.Initialize(\"Job1\",Me)";
_job._initialize(processBA,"Job1",main.getObject());
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="Job.Username=\"...\"";
_job._username = "...";
RDebugUtils.currentLine=524292;
 //BA.debugLineNum = 524292;BA.debugLine="Job.Password=\"...\"";
_job._password = "...";
RDebugUtils.currentLine=524296;
 //BA.debugLineNum = 524296;BA.debugLine="Job.Download(\"http://192.168.1.239/WebServicesula";
_job._download("http://192.168.1.239/WebServicesula/Service.asmx/Get");
RDebugUtils.currentLine=524297;
 //BA.debugLineNum = 524297;BA.debugLine="End Sub";
return "";
}
public static String  _jobdone(anywheresoftware.b4a.samples.httputils2.httpjob _job) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "jobdone"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "jobdone", new Object[] {_job}));}
anywheresoftware.b4a.objects.collections.JSONParser _json = null;
anywheresoftware.b4a.objects.collections.Map _map1 = null;
RDebugUtils.currentLine=589824;
 //BA.debugLineNum = 589824;BA.debugLine="Sub JobDone (Job As HttpJob)";
RDebugUtils.currentLine=589826;
 //BA.debugLineNum = 589826;BA.debugLine="Log(\"JobName = \" & Job.JobName & \", Success = \" &";
anywheresoftware.b4a.keywords.Common.Log("JobName = "+_job._jobname+", Success = "+BA.ObjectToString(_job._success));
RDebugUtils.currentLine=589827;
 //BA.debugLineNum = 589827;BA.debugLine="If Job.Success = True Then";
if (_job._success==anywheresoftware.b4a.keywords.Common.True) { 
RDebugUtils.currentLine=589828;
 //BA.debugLineNum = 589828;BA.debugLine="Select Job.JobName";
switch (BA.switchObjectToInt(_job._jobname,"Job1")) {
case 0: {
RDebugUtils.currentLine=589831;
 //BA.debugLineNum = 589831;BA.debugLine="Dim JSON As JSONParser";
_json = new anywheresoftware.b4a.objects.collections.JSONParser();
RDebugUtils.currentLine=589832;
 //BA.debugLineNum = 589832;BA.debugLine="JSON.Initialize(Job.GetString)";
_json.Initialize(_job._getstring());
RDebugUtils.currentLine=589834;
 //BA.debugLineNum = 589834;BA.debugLine="Dim Map1 As Map";
_map1 = new anywheresoftware.b4a.objects.collections.Map();
RDebugUtils.currentLine=589835;
 //BA.debugLineNum = 589835;BA.debugLine="Map1 = JSON.NextObject";
_map1 = _json.NextObject();
RDebugUtils.currentLine=589837;
 //BA.debugLineNum = 589837;BA.debugLine="names.Text = Map1.Get(\"Country\")";
mostCurrent._names.setText(BA.ObjectToCharSequence(_map1.Get((Object)("Country"))));
RDebugUtils.currentLine=589842;
 //BA.debugLineNum = 589842;BA.debugLine="Log(Job.GetString)";
anywheresoftware.b4a.keywords.Common.Log(_job._getstring());
 break; }
}
;
 }else {
RDebugUtils.currentLine=589845;
 //BA.debugLineNum = 589845;BA.debugLine="Log(\"Error: \" & Job.ErrorMessage)";
anywheresoftware.b4a.keywords.Common.Log("Error: "+_job._errormessage);
RDebugUtils.currentLine=589846;
 //BA.debugLineNum = 589846;BA.debugLine="ToastMessageShow(\"Error: \" & Job.ErrorMessage, T";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Error: "+_job._errormessage),anywheresoftware.b4a.keywords.Common.True);
 };
RDebugUtils.currentLine=589848;
 //BA.debugLineNum = 589848;BA.debugLine="Job.Release";
_job._release();
RDebugUtils.currentLine=589850;
 //BA.debugLineNum = 589850;BA.debugLine="End Sub";
return "";
}
public static String  _savedata_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "savedata_click"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "savedata_click", null));}
int _i = 0;
int _newid = 0;
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub Savedata_Click";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="If names.Text = \"\" Or classe.Text = \"\" Then";
if ((mostCurrent._names.getText()).equals("") || (mostCurrent._classe.getText()).equals("")) { 
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="Msgbox(\"You have to enter all fields\",\"Missed da";
anywheresoftware.b4a.keywords.Common.Msgbox(BA.ObjectToCharSequence("You have to enter all fields"),BA.ObjectToCharSequence("Missed data field"),mostCurrent.activityBA);
 }else {
RDebugUtils.currentLine=393222;
 //BA.debugLineNum = 393222;BA.debugLine="cursor1 = SQL1.ExecQuery(\"SELECT id FROM student";
_cursor1.setObject((android.database.Cursor)(_sql1.ExecQuery("SELECT id FROM student")));
RDebugUtils.currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="If cursor1.RowCount > 0 Then";
if (_cursor1.getRowCount()>0) { 
RDebugUtils.currentLine=393224;
 //BA.debugLineNum = 393224;BA.debugLine="For i = 0 To cursor1.RowCount - 1";
{
final int step6 = 1;
final int limit6 = (int) (_cursor1.getRowCount()-1);
_i = (int) (0) ;
for (;_i <= limit6 ;_i = _i + step6 ) {
RDebugUtils.currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="cursor1.Position = i";
_cursor1.setPosition(_i);
RDebugUtils.currentLine=393227;
 //BA.debugLineNum = 393227;BA.debugLine="Dim NewID As Int";
_newid = 0;
RDebugUtils.currentLine=393228;
 //BA.debugLineNum = 393228;BA.debugLine="NewID = cursor1.GetInt(\"id\")";
_newid = _cursor1.GetInt("id");
 }
};
 };
RDebugUtils.currentLine=393232;
 //BA.debugLineNum = 393232;BA.debugLine="NewID = NewID +1 ' add 1 to the ID number to mak";
_newid = (int) (_newid+1);
RDebugUtils.currentLine=393233;
 //BA.debugLineNum = 393233;BA.debugLine="SQL1.ExecNonQuery(\"INSERT INTO student VALUES('\"";
_sql1.ExecNonQuery("INSERT INTO student VALUES('"+mostCurrent._account.getText()+"','"+mostCurrent._names.getText()+"','"+mostCurrent._classe.getText()+"','"+mostCurrent._streamd.getText()+"','"+mostCurrent._amount.getText()+"','"+BA.NumberToString(_newid)+"')");
RDebugUtils.currentLine=393235;
 //BA.debugLineNum = 393235;BA.debugLine="DBload";
_dbload();
RDebugUtils.currentLine=393236;
 //BA.debugLineNum = 393236;BA.debugLine="names.Text = \"\"";
mostCurrent._names.setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=393237;
 //BA.debugLineNum = 393237;BA.debugLine="classe.Text = \"\"";
mostCurrent._classe.setText(BA.ObjectToCharSequence(""));
RDebugUtils.currentLine=393238;
 //BA.debugLineNum = 393238;BA.debugLine="names.RequestFocus";
mostCurrent._names.RequestFocus();
 };
RDebugUtils.currentLine=393240;
 //BA.debugLineNum = 393240;BA.debugLine="Msgbox(\"Thank You Very Much\",\"did it\")";
anywheresoftware.b4a.keywords.Common.Msgbox(BA.ObjectToCharSequence("Thank You Very Much"),BA.ObjectToCharSequence("did it"),mostCurrent.activityBA);
RDebugUtils.currentLine=393241;
 //BA.debugLineNum = 393241;BA.debugLine="End Sub";
return "";
}
public static String  _searchx_textchanged(String _old,String _new) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "searchx_textchanged"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "searchx_textchanged", new Object[] {_old,_new}));}
int _i = 0;
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Sub searchx_TextChanged (Old As String, New As Str";
RDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="cursor1 = SQL1.ExecQuery(\"SELECT * FROM student w";
_cursor1.setObject((android.database.Cursor)(_sql1.ExecQuery("SELECT * FROM student where id = '"+mostCurrent._searchx.getText()+"' ")));
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="For i = 0 To cursor1.RowCount - 1";
{
final int step2 = 1;
final int limit2 = (int) (_cursor1.getRowCount()-1);
_i = (int) (0) ;
for (;_i <= limit2 ;_i = _i + step2 ) {
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="cursor1.Position = i";
_cursor1.setPosition(_i);
RDebugUtils.currentLine=458756;
 //BA.debugLineNum = 458756;BA.debugLine="names.text=cursor1.getString(\"Names\")";
mostCurrent._names.setText(BA.ObjectToCharSequence(_cursor1.GetString("Names")));
RDebugUtils.currentLine=458757;
 //BA.debugLineNum = 458757;BA.debugLine="classe.text=cursor1.getString(\"Class\")";
mostCurrent._classe.setText(BA.ObjectToCharSequence(_cursor1.GetString("Class")));
RDebugUtils.currentLine=458758;
 //BA.debugLineNum = 458758;BA.debugLine="account.text=cursor1.getString(\"Account\")";
mostCurrent._account.setText(BA.ObjectToCharSequence(_cursor1.GetString("Account")));
RDebugUtils.currentLine=458759;
 //BA.debugLineNum = 458759;BA.debugLine="amount.text=cursor1.getString(\"Amount\")";
mostCurrent._amount.setText(BA.ObjectToCharSequence(_cursor1.GetString("Amount")));
RDebugUtils.currentLine=458760;
 //BA.debugLineNum = 458760;BA.debugLine="streamd.text=cursor1.getString(\"Stream\")";
mostCurrent._streamd.setText(BA.ObjectToCharSequence(_cursor1.GetString("Stream")));
 }
};
RDebugUtils.currentLine=458762;
 //BA.debugLineNum = 458762;BA.debugLine="End Sub";
return "";
}
}